totem_node_status Struct Reference

`#include <totem.h>`

## Data Fields

uint32_t | version
unsigned int | nodeid
uint8_t | reachable
uint8_t | remote
uint8_t | external
uint8_t | onwire_min
uint8_t | onwire_max
uint8_t | onwire_ver
struct knet_link_status | link_status [KNET_MAX_LINK]

## Detailed Description

Definition at line 267 of file totem.h.

## Field Documentation

## external

uint8_t totem_node_status::external

Definition at line 272 of file totem.h.

Referenced by totemknet_nodestatus_get().

## link_status

struct knet_link_status totem_node_status::link_status[KNET_MAX_LINK]

Definition at line 276 of file totem.h.

Referenced by totemknet_nodestatus_get(), totemudp_nodestatus_get(), and totemudpu_nodestatus_get().

## nodeid

unsigned int totem_node_status::nodeid

Definition at line 269 of file totem.h.

Referenced by totemknet_nodestatus_get(), totemudp_nodestatus_get(), and totemudpu_nodestatus_get().

## onwire_max

uint8_t totem_node_status::onwire_max

Definition at line 274 of file totem.h.

Referenced by totemknet_nodestatus_get().

## onwire_min

uint8_t totem_node_status::onwire_min

Definition at line 273 of file totem.h.

Referenced by totemknet_nodestatus_get().

## onwire_ver

uint8_t totem_node_status::onwire_ver

Definition at line 275 of file totem.h.

Referenced by totemknet_nodestatus_get().

## reachable

uint8_t totem_node_status::reachable

Definition at line 270 of file totem.h.

Referenced by totemknet_nodestatus_get(), totemsrp_nodestatus_get(), totemudp_nodestatus_get(), and totemudpu_nodestatus_get().

## remote

uint8_t totem_node_status::remote

Definition at line 271 of file totem.h.

Referenced by totemknet_nodestatus_get().

## version

uint32_t totem_node_status::version

Definition at line 268 of file totem.h.

Referenced by totemsrp_nodestatus_get().

The documentation for this struct was generated from the following file:

- totem.h